Bug 246239 - security/openconnect: Update to 8.10
Summary: security/openconnect: Update to 8.10
Status: New
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Ryan Steinmetz
URL: https://www.infradead.org/openconnect...
Keywords: security
Depends on:
Blocks:
 
Reported: 2020-05-05 20:23 UTC by Michael Muenz
Modified: 2020-05-14 19:11 UTC (History)
2 users (show)

See Also:
bugzilla: maintainer-feedback? (zi)


Attachments
openconnect 8.09 (1.46 KB, patch)
2020-05-05 20:23 UTC, Michael Muenz
no flags Details | Diff
openconnect 8.10 (1.96 KB, patch)
2020-05-14 19:09 UTC, Michael Muenz
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Michael Muenz 2020-05-05 20:23:59 UTC
Created attachment 214174 [details]
openconnect 8.09

Update to latest version, add second LIB_DEPEND for portsbuild and new file for pkg-plist

- portlint -A is happy
- poudriere builds fine on 12.1 64bit
- pkg installed and successfully connected via VPN
Comment 1 Michael Muenz 2020-05-14 19:09:59 UTC
Created attachment 214496 [details]
openconnect 8.10
Comment 2 Michael Muenz 2020-05-14 19:11:48 UTC
I updated the patch to 8.10 since it's now a CVE included. 
Removed the LIB_DEPENDS as it seems just to be cosmetic for building in /usr/ports, added a shebang for new python script and sorted pkg-plist

- portlint -A is happy
- poudriere test and build is fine on 12.1 64bit
- installed the pkg on my system and was able to run a VPN